org.keycloak.representations.idm.authorization

## Class PolicyRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.authorization.PolicyRepresentation

-     public class PolicyRepresentation
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolicyRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `List<PolicyRepresentation>` | `getAssociatedPolicies()`
    `Map<String,String>` | `getConfig()`
    `DecisionStrategy` | `getDecisionStrategy()`
    `List<PolicyRepresentation>` | `getDependentPolicies()`
    `String` | `getDescription()`
    `String` | `getId()`
    `Logic` | `getLogic()`
    `String` | `getName()`
    `String` | `getType()`
    `int` | `hashCode()`
    `void` | `setAssociatedPolicies(List<PolicyRepresentation> associatedPolicies)`
    `void` | `setConfig(Map<String,String> config)`
    `void` | `setDecisionStrategy(DecisionStrategy decisionStrategy)`
    `void` | `setDependentPolicies(List<PolicyRepresentation> dependentPolicies)`
    `void` | `setDescription(String description)`
    `void` | `setId(String id)`
    `void` | `setLogic(Logic logic)`
    `void` | `setName(String name)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PolicyRepresentation

          public PolicyRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getDecisionStrategy

          public DecisionStrategy getDecisionStrategy()

    - #### setDecisionStrategy

          public void setDecisionStrategy(DecisionStrategy decisionStrategy)

    - #### getLogic

          public Logic getLogic()

    - #### setLogic

          public void setLogic(Logic logic)

    - #### getConfig

          public Map<String,String> getConfig()

    - #### setConfig

          public void setConfig(Map<String,String> config)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getAssociatedPolicies

          public List<PolicyRepresentation> getAssociatedPolicies()

    - #### setAssociatedPolicies

          public void setAssociatedPolicies(List<PolicyRepresentation> associatedPolicies)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### setDependentPolicies

          public void setDependentPolicies(List<PolicyRepresentation> dependentPolicies)

    - #### getDependentPolicies

          public List<PolicyRepresentation> getDependentPolicies()

Copyright © 2016 JBoss by Red Hat. All rights reserved.